package com.os.mes.base.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.os.common.annotation.Excel;
import com.os.common.core.domain.BaseEntity;

/**
 * 工厂管理对象 base_factory
 * 
 * @author Yinq
 * @date 2024-05-09
 */
public class BaseFactory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long objId;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String companyName;

    /** 工厂编号 */
    @Excel(name = "工厂编号")
    private String factoryCode;

    /** 工厂名称 */
    @Excel(name = "工厂名称")
    private String factoryName;

    /** 工厂状态（0启用 1停用） */
    @Excel(name = "工厂状态", readConverterExp = "0=启用,1=停用")
    private String factoryStatus;

    public void setObjId(Long objId) 
    {
        this.objId = objId;
    }

    public Long getObjId() 
    {
        return objId;
    }
    public void setCompanyName(String companyName) 
    {
        this.companyName = companyName;
    }

    public String getCompanyName() 
    {
        return companyName;
    }
    public void setFactoryCode(String factoryCode) 
    {
        this.factoryCode = factoryCode;
    }

    public String getFactoryCode() 
    {
        return factoryCode;
    }
    public void setFactoryName(String factoryName) 
    {
        this.factoryName = factoryName;
    }

    public String getFactoryName() 
    {
        return factoryName;
    }
    public void setFactoryStatus(String factoryStatus) 
    {
        this.factoryStatus = factoryStatus;
    }

    public String getFactoryStatus() 
    {
        return factoryStatus;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objId", getObjId())
            .append("companyName", getCompanyName())
            .append("factoryCode", getFactoryCode())
            .append("factoryName", getFactoryName())
            .append("factoryStatus", getFactoryStatus())
            .append("remark", getRemark())
            .toString();
    }
}
