package com.os.mes.base.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.os.common.annotation.Excel;
import com.os.common.core.domain.BaseEntity;

/**
 * 班组信息对象 base_team_members
 *
 * @author Yinq
 * @date 2024-05-15
 */
public class BaseTeamMembers extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long objId;

    /**
     * 班组编号
     */
    @Excel(name = "班组编号")
    private String teamCode;

    /**
     * 班组名称
     */
    @Excel(name = "班组名称")
    private String teamName;

    /**
     * 班组负责人
     */
    @Excel(name = "班组负责人")
    private String teamHead;

    /**
     * 所属工位编号
     */
    @Excel(name = "所属工位编号")
    private String stationCode;

    /**
     * 所属工位名称
     */
    @Excel(name = "所属工位名称")
    private String stationName;

    /**
     * 班次（1早班 2晚班）
     */
    @Excel(name = "班次", readConverterExp = "1=早班,2=晚班")
    private String classes;

    /**
     * 上班时间
     */
    @Excel(name = "上班时间")
    private String startTime;

    /**
     * 下班时间
     */
    @Excel(name = "下班时间")
    private String endTime;

    /**
     * 休息时间
     */
    @Excel(name = "休息时间")
    private String dineTime;

    /**
     * 是否标识
     */
    @Excel(name = "是否标识")
    private String isFlag;

    /**
     * 机台编号
     */
    @Excel(name = "机台编号")
    private String machineCode;

    /**
     * 机台名称
     */
    @Excel(name = "机台名称")
    private String machineName;

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getMachineName() {
        return machineName;
    }

    public void setMachineName(String machineName) {
        this.machineName = machineName;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setTeamCode(String teamCode) {
        this.teamCode = teamCode;
    }

    public String getTeamCode() {
        return teamCode;
    }

    public void setTeamName(String teamName) {
        this.teamName = teamName;
    }

    public String getTeamName() {
        return teamName;
    }

    public void setTeamHead(String teamHead) {
        this.teamHead = teamHead;
    }

    public String getTeamHead() {
        return teamHead;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setClasses(String classes) {
        this.classes = classes;
    }

    public String getClasses() {
        return classes;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setDineTime(String dineTime) {
        this.dineTime = dineTime;
    }

    public String getDineTime() {
        return dineTime;
    }

    public void setIsFlag(String isFlag) {
        this.isFlag = isFlag;
    }

    public String getIsFlag() {
        return isFlag;
    }

    public void setMachineCode(String machineCode) {
        this.machineCode = machineCode;
    }

    public String getMachineCode() {
        return machineCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("teamCode", getTeamCode())
                .append("teamName", getTeamName())
                .append("teamHead", getTeamHead())
                .append("stationCode", getStationCode())
                .append("classes", getClasses())
                .append("startTime", getStartTime())
                .append("endTime", getEndTime())
                .append("dineTime", getDineTime())
                .append("isFlag", getIsFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("machineCode", getMachineCode())
                .toString();
    }
}
