package com.os.mes.base.service;

import java.util.List;
import com.os.mes.base.domain.BaseProductLine;

/**
 * 产线/工位信息Service接口
 * 
 * @author Yinq
 * @date 2024-05-10
 */
public interface IBaseProductLineService 
{
    /**
     * 查询产线/工位信息
     * 
     * @param objId 产线/工位信息主键
     * @return 产线/工位信息
     */
    public BaseProductLine selectBaseProductLineByObjId(Long objId);

    /**
     * 查询产线/工位信息列表
     * 
     * @param baseProductLine 产线/工位信息
     * @return 产线/工位信息集合
     */
    public List<BaseProductLine> selectBaseProductLineList(BaseProductLine baseProductLine);

    /**
     * 新增产线/工位信息
     * 
     * @param baseProductLine 产线/工位信息
     * @return 结果
     */
    public int insertBaseProductLine(BaseProductLine baseProductLine);

    /**
     * 修改产线/工位信息
     * 
     * @param baseProductLine 产线/工位信息
     * @return 结果
     */
    public int updateBaseProductLine(BaseProductLine baseProductLine);

    /**
     * 批量删除产线/工位信息
     * 
     * @param objIds 需要删除的产线/工位信息主键集合
     * @return 结果
     */
    public int deleteBaseProductLineByObjIds(Long[] objIds);

    /**
     * 删除产线/工位信息信息
     * 
     * @param objId 产线/工位信息主键
     * @return 结果
     */
    public int deleteBaseProductLineByObjId(Long objId);
}
