package com.os.mes.base.service;

import java.util.List;

import com.os.mes.base.domain.BaseStaffInfo;

/**
 * 员工信息Service接口
 *
 * @author Yinq
 * @date 2024-05-15
 */
public interface IBaseStaffInfoService {
    /**
     * 查询员工信息
     *
     * @param objId 员工信息主键
     * @return 员工信息
     */
    public BaseStaffInfo selectBaseStaffInfoByObjId(Long objId);

    /**
     * 查询员工信息列表
     *
     * @param baseStaffInfo 员工信息
     * @return 员工信息集合
     */
    public List<BaseStaffInfo> selectBaseStaffInfoList(BaseStaffInfo baseStaffInfo);

    /**
     * 新增员工信息
     *
     * @param baseStaffInfo 员工信息
     * @return 结果
     */
    public int insertBaseStaffInfo(BaseStaffInfo baseStaffInfo);

    /**
     * 修改员工信息
     *
     * @param baseStaffInfo 员工信息
     * @return 结果
     */
    public int updateBaseStaffInfo(BaseStaffInfo baseStaffInfo);

    /**
     * 批量删除员工信息
     *
     * @param objIds 需要删除的员工信息主键集合
     * @return 结果
     */
    public int deleteBaseStaffInfoByObjIds(Long[] objIds);

    /**
     * 删除员工信息信息
     *
     * @param objId 员工信息主键
     * @return 结果
     */
    public int deleteBaseStaffInfoByObjId(Long objId);
}
