package com.os.mes.prod.domain;

import java.math.BigDecimal;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.os.common.annotation.Excel;
import com.os.common.core.domain.BaseEntity;

/**
 * 生产BOM对象 prod_bom_info
 *
 * @author Yinq
 * @date 2024-05-11
 */
public class ProdBomInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long objId;

    /**
     * BOM编号
     */
    @Excel(name = "BOM编号")
    private String bomCode;

    /**
     * 物料编码
     */
    @Excel(name = "物料编码")
    private String materialCode;

    /**
     * 物料名称
     */
    @Excel(name = "物料名称")
    private String materialName;

    /**
     * 物料类别
     */
    @Excel(name = "物料类别")
    private String materialType;

    /**
     * 计量单位
     */
    @Excel(name = "计量单位")
    private String materialUnit;

    /**
     * 标准数量
     */
    @Excel(name = "标准数量")
    private BigDecimal standardAmount;

    /**
     * 父物料ID
     */
    @Excel(name = "父物料ID")
    private Long parentId;

    /**
     * 父物料编码
     */
    @Excel(name = "父物料编码")
    private String parentCode;

    /**
     * 父物料名称
     */
    @Excel(name = "父物料名称")
    private String parentName;

    /**
     * 工厂编号
     */
    @Excel(name = "工厂编号")
    private String factoryCode;

    /**
     * 工厂名称
     */
    @Excel(name = "工厂名称")
    private String factoryName;

    /**
     * 排序
     */
    @Excel(name = "排序")
    private String sort;

    /**
     * 销售凭证
     */
    @Excel(name = "销售凭证")
    private String vbeln;

    /**
     * 销售单据项目
     */
    @Excel(name = "销售单据项目")
    private String vbpos;

    /**
     * 祖级列表
     */
    @Excel(name = "祖级列表")
    private String ancestors;

    /**
     * 是否标识
     */
    @Excel(name = "是否标识")
    private String isFlag;

    public String getMaterialUnit() {
        return materialUnit;
    }

    public void setMaterialUnit(String materialUnit) {
        this.materialUnit = materialUnit;
    }

    public String getParentCode() {
        return parentCode;
    }

    public void setParentCode(String parentCode) {
        this.parentCode = parentCode;
    }

    public String getFactoryName() {
        return factoryName;
    }

    public void setFactoryName(String factoryName) {
        this.factoryName = factoryName;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setBomCode(String bomCode) {
        this.bomCode = bomCode;
    }

    public String getBomCode() {
        return bomCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialType(String materialType) {
        this.materialType = materialType;
    }

    public String getMaterialType() {
        return materialType;
    }

    public void setStandardAmount(BigDecimal standardAmount) {
        this.standardAmount = standardAmount;
    }

    public BigDecimal getStandardAmount() {
        return standardAmount;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getParentName() {
        return parentName;
    }

    public void setFactoryCode(String factoryCode) {
        this.factoryCode = factoryCode;
    }

    public String getFactoryCode() {
        return factoryCode;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public String getSort() {
        return sort;
    }

    public void setVbeln(String vbeln) {
        this.vbeln = vbeln;
    }

    public String getVbeln() {
        return vbeln;
    }

    public void setVbpos(String vbpos) {
        this.vbpos = vbpos;
    }

    public String getVbpos() {
        return vbpos;
    }

    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }

    public String getAncestors() {
        return ancestors;
    }

    public void setIsFlag(String isFlag) {
        this.isFlag = isFlag;
    }

    public String getIsFlag() {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("bomCode", getBomCode())
                .append("materialCode", getMaterialCode())
                .append("materialName", getMaterialName())
                .append("materialType", getMaterialType())
                .append("standardAmount", getStandardAmount())
                .append("parentId", getParentId())
                .append("parentName", getParentName())
                .append("factoryCode", getFactoryCode())
                .append("sort", getSort())
                .append("vbeln", getVbeln())
                .append("vbpos", getVbpos())
                .append("ancestors", getAncestors())
                .append("isFlag", getIsFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
