package com.os.mes.prod.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.os.mes.prod.mapper.ProdOrderInfoMapper;
import com.os.mes.prod.domain.ProdOrderInfo;
import com.os.mes.prod.service.IProdOrderInfoService;

/**
 * 订单信息Service业务层处理
 *
 * @author Yinq
 * @date 2024-05-17
 */
@Service
public class ProdOrderInfoServiceImpl implements IProdOrderInfoService {
    @Autowired
    private ProdOrderInfoMapper prodOrderInfoMapper;

    /**
     * 查询订单信息
     *
     * @param objId 订单信息主键
     * @return 订单信息
     */
    @Override
    public ProdOrderInfo selectProdOrderInfoByObjId(Long objId) {
        return prodOrderInfoMapper.selectProdOrderInfoByObjId(objId);
    }

    /**
     * 查询订单信息列表
     *
     * @param prodOrderInfo 订单信息
     * @return 订单信息
     */
    @Override
    public List<ProdOrderInfo> selectProdOrderInfoList(ProdOrderInfo prodOrderInfo) {
        return prodOrderInfoMapper.selectProdOrderInfoList(prodOrderInfo);
    }

    /**
     * 新增订单信息
     *
     * @param prodOrderInfo 订单信息
     * @return 结果
     */
    @Override
    public int insertProdOrderInfo(ProdOrderInfo prodOrderInfo) {
        return prodOrderInfoMapper.insertProdOrderInfo(prodOrderInfo);
    }

    /**
     * 修改订单信息
     *
     * @param prodOrderInfo 订单信息
     * @return 结果
     */
    @Override
    public int updateProdOrderInfo(ProdOrderInfo prodOrderInfo) {
        return prodOrderInfoMapper.updateProdOrderInfo(prodOrderInfo);
    }

    /**
     * 批量删除订单信息
     *
     * @param objIds 需要删除的订单信息主键
     * @return 结果
     */
    @Override
    public int deleteProdOrderInfoByObjIds(Long[] objIds) {
        return prodOrderInfoMapper.deleteProdOrderInfoByObjIds(objIds);
    }

    /**
     * 删除订单信息信息
     *
     * @param objId 订单信息主键
     * @return 结果
     */
    @Override
    public int deleteProdOrderInfoByObjId(Long objId) {
        return prodOrderInfoMapper.deleteProdOrderInfoByObjId(objId);
    }
}
